/* A Bison parser, made by GNU Bison 3.7.4.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

#ifndef YY_YY_CORE_CFG_TAB_H_INCLUDED
# define YY_YY_CORE_CFG_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    FORWARD = 258,                 /* FORWARD  */
    FORWARD_TCP = 259,             /* FORWARD_TCP  */
    FORWARD_TLS = 260,             /* FORWARD_TLS  */
    FORWARD_SCTP = 261,            /* FORWARD_SCTP  */
    FORWARD_UDP = 262,             /* FORWARD_UDP  */
    EXIT = 263,                    /* EXIT  */
    DROP = 264,                    /* DROP  */
    RETURN = 265,                  /* RETURN  */
    RETURN_MODE = 266,             /* RETURN_MODE  */
    BREAK = 267,                   /* BREAK  */
    LOG_TOK = 268,                 /* LOG_TOK  */
    ERROR = 269,                   /* ERROR  */
    ROUTE = 270,                   /* ROUTE  */
    ROUTE_REQUEST = 271,           /* ROUTE_REQUEST  */
    ROUTE_FAILURE = 272,           /* ROUTE_FAILURE  */
    ROUTE_ONREPLY = 273,           /* ROUTE_ONREPLY  */
    ROUTE_REPLY = 274,             /* ROUTE_REPLY  */
    ROUTE_BRANCH = 275,            /* ROUTE_BRANCH  */
    ROUTE_SEND = 276,              /* ROUTE_SEND  */
    ROUTE_EVENT = 277,             /* ROUTE_EVENT  */
    EXEC = 278,                    /* EXEC  */
    SET_HOST = 279,                /* SET_HOST  */
    SET_HOSTPORT = 280,            /* SET_HOSTPORT  */
    SET_HOSTPORTTRANS = 281,       /* SET_HOSTPORTTRANS  */
    PREFIX = 282,                  /* PREFIX  */
    STRIP = 283,                   /* STRIP  */
    STRIP_TAIL = 284,              /* STRIP_TAIL  */
    SET_USERPHONE = 285,           /* SET_USERPHONE  */
    APPEND_BRANCH = 286,           /* APPEND_BRANCH  */
    REMOVE_BRANCH = 287,           /* REMOVE_BRANCH  */
    CLEAR_BRANCHES = 288,          /* CLEAR_BRANCHES  */
    SET_USER = 289,                /* SET_USER  */
    SET_USERPASS = 290,            /* SET_USERPASS  */
    SET_PORT = 291,                /* SET_PORT  */
    SET_URI = 292,                 /* SET_URI  */
    REVERT_URI = 293,              /* REVERT_URI  */
    FORCE_RPORT = 294,             /* FORCE_RPORT  */
    ADD_LOCAL_RPORT = 295,         /* ADD_LOCAL_RPORT  */
    LOCAL_RPORT = 296,             /* LOCAL_RPORT  */
    FORCE_TCP_ALIAS = 297,         /* FORCE_TCP_ALIAS  */
    UDP_MTU = 298,                 /* UDP_MTU  */
    UDP_MTU_TRY_PROTO = 299,       /* UDP_MTU_TRY_PROTO  */
    UDP4_RAW = 300,                /* UDP4_RAW  */
    UDP4_RAW_MTU = 301,            /* UDP4_RAW_MTU  */
    UDP4_RAW_TTL = 302,            /* UDP4_RAW_TTL  */
    IF = 303,                      /* IF  */
    ELSE = 304,                    /* ELSE  */
    SET_ADV_ADDRESS = 305,         /* SET_ADV_ADDRESS  */
    SET_ADV_PORT = 306,            /* SET_ADV_PORT  */
    FORCE_SEND_SOCKET = 307,       /* FORCE_SEND_SOCKET  */
    SET_FWD_NO_CONNECT = 308,      /* SET_FWD_NO_CONNECT  */
    SET_RPL_NO_CONNECT = 309,      /* SET_RPL_NO_CONNECT  */
    SET_FWD_CLOSE = 310,           /* SET_FWD_CLOSE  */
    SET_RPL_CLOSE = 311,           /* SET_RPL_CLOSE  */
    SWITCH = 312,                  /* SWITCH  */
    CASE = 313,                    /* CASE  */
    DEFAULT = 314,                 /* DEFAULT  */
    WHILE = 315,                   /* WHILE  */
    CFG_SELECT = 316,              /* CFG_SELECT  */
    CFG_RESET = 317,               /* CFG_RESET  */
    URIHOST = 318,                 /* URIHOST  */
    URIPORT = 319,                 /* URIPORT  */
    MAX_LEN = 320,                 /* MAX_LEN  */
    SETFLAG = 321,                 /* SETFLAG  */
    RESETFLAG = 322,               /* RESETFLAG  */
    ISFLAGSET = 323,               /* ISFLAGSET  */
    SETAVPFLAG = 324,              /* SETAVPFLAG  */
    RESETAVPFLAG = 325,            /* RESETAVPFLAG  */
    ISAVPFLAGSET = 326,            /* ISAVPFLAGSET  */
    METHOD = 327,                  /* METHOD  */
    URI = 328,                     /* URI  */
    FROM_URI = 329,                /* FROM_URI  */
    TO_URI = 330,                  /* TO_URI  */
    SRCIP = 331,                   /* SRCIP  */
    SRCPORT = 332,                 /* SRCPORT  */
    DSTIP = 333,                   /* DSTIP  */
    DSTPORT = 334,                 /* DSTPORT  */
    TOIP = 335,                    /* TOIP  */
    TOPORT = 336,                  /* TOPORT  */
    SNDIP = 337,                   /* SNDIP  */
    SNDPORT = 338,                 /* SNDPORT  */
    SNDPROTO = 339,                /* SNDPROTO  */
    SNDAF = 340,                   /* SNDAF  */
    PROTO = 341,                   /* PROTO  */
    AF = 342,                      /* AF  */
    MYSELF = 343,                  /* MYSELF  */
    MSGLEN = 344,                  /* MSGLEN  */
    UDP = 345,                     /* UDP  */
    TCP = 346,                     /* TCP  */
    TLS = 347,                     /* TLS  */
    SCTP = 348,                    /* SCTP  */
    WS = 349,                      /* WS  */
    WSS = 350,                     /* WSS  */
    DEBUG_V = 351,                 /* DEBUG_V  */
    FORK = 352,                    /* FORK  */
    FORK_DELAY = 353,              /* FORK_DELAY  */
    MODINIT_DELAY = 354,           /* MODINIT_DELAY  */
    LOGSTDERROR = 355,             /* LOGSTDERROR  */
    LOGFACILITY = 356,             /* LOGFACILITY  */
    LOGNAME = 357,                 /* LOGNAME  */
    LOGCOLOR = 358,                /* LOGCOLOR  */
    LOGPREFIX = 359,               /* LOGPREFIX  */
    LOGPREFIXMODE = 360,           /* LOGPREFIXMODE  */
    LOGENGINETYPE = 361,           /* LOGENGINETYPE  */
    LOGENGINEDATA = 362,           /* LOGENGINEDATA  */
    XAVPVIAPARAMS = 363,           /* XAVPVIAPARAMS  */
    XAVPVIAFIELDS = 364,           /* XAVPVIAFIELDS  */
    XAVPVIAREPLYPARAMS = 365,      /* XAVPVIAREPLYPARAMS  */
    LISTEN = 366,                  /* LISTEN  */
    ADVERTISE = 367,               /* ADVERTISE  */
    VIRTUAL = 368,                 /* VIRTUAL  */
    STRNAME = 369,                 /* STRNAME  */
    ALIAS = 370,                   /* ALIAS  */
    SR_AUTO_ALIASES = 371,         /* SR_AUTO_ALIASES  */
    DOMAIN = 372,                  /* DOMAIN  */
    SR_AUTO_DOMAINS = 373,         /* SR_AUTO_DOMAINS  */
    DNS = 374,                     /* DNS  */
    REV_DNS = 375,                 /* REV_DNS  */
    DNS_TRY_IPV6 = 376,            /* DNS_TRY_IPV6  */
    DNS_TRY_NAPTR = 377,           /* DNS_TRY_NAPTR  */
    DNS_SRV_LB = 378,              /* DNS_SRV_LB  */
    DNS_UDP_PREF = 379,            /* DNS_UDP_PREF  */
    DNS_TCP_PREF = 380,            /* DNS_TCP_PREF  */
    DNS_TLS_PREF = 381,            /* DNS_TLS_PREF  */
    DNS_SCTP_PREF = 382,           /* DNS_SCTP_PREF  */
    DNS_RETR_TIME = 383,           /* DNS_RETR_TIME  */
    DNS_SLOW_QUERY_MS = 384,       /* DNS_SLOW_QUERY_MS  */
    DNS_RETR_NO = 385,             /* DNS_RETR_NO  */
    DNS_SERVERS_NO = 386,          /* DNS_SERVERS_NO  */
    DNS_USE_SEARCH = 387,          /* DNS_USE_SEARCH  */
    DNS_SEARCH_FMATCH = 388,       /* DNS_SEARCH_FMATCH  */
    DNS_NAPTR_IGNORE_RFC = 389,    /* DNS_NAPTR_IGNORE_RFC  */
    DNS_CACHE_INIT = 390,          /* DNS_CACHE_INIT  */
    DNS_USE_CACHE = 391,           /* DNS_USE_CACHE  */
    DNS_USE_FAILOVER = 392,        /* DNS_USE_FAILOVER  */
    DNS_CACHE_FLAGS = 393,         /* DNS_CACHE_FLAGS  */
    DNS_CACHE_NEG_TTL = 394,       /* DNS_CACHE_NEG_TTL  */
    DNS_CACHE_MIN_TTL = 395,       /* DNS_CACHE_MIN_TTL  */
    DNS_CACHE_MAX_TTL = 396,       /* DNS_CACHE_MAX_TTL  */
    DNS_CACHE_MEM = 397,           /* DNS_CACHE_MEM  */
    DNS_CACHE_GC_INT = 398,        /* DNS_CACHE_GC_INT  */
    DNS_CACHE_DEL_NONEXP = 399,    /* DNS_CACHE_DEL_NONEXP  */
    DNS_CACHE_REC_PREF = 400,      /* DNS_CACHE_REC_PREF  */
    AUTO_BIND_IPV6 = 401,          /* AUTO_BIND_IPV6  */
    BIND_IPV6_LINK_LOCAL = 402,    /* BIND_IPV6_LINK_LOCAL  */
    IPV6_HEX_STYLE = 403,          /* IPV6_HEX_STYLE  */
    DST_BLST_INIT = 404,           /* DST_BLST_INIT  */
    USE_DST_BLST = 405,            /* USE_DST_BLST  */
    DST_BLST_MEM = 406,            /* DST_BLST_MEM  */
    DST_BLST_TTL = 407,            /* DST_BLST_TTL  */
    DST_BLST_GC_INT = 408,         /* DST_BLST_GC_INT  */
    DST_BLST_UDP_IMASK = 409,      /* DST_BLST_UDP_IMASK  */
    DST_BLST_TCP_IMASK = 410,      /* DST_BLST_TCP_IMASK  */
    DST_BLST_TLS_IMASK = 411,      /* DST_BLST_TLS_IMASK  */
    DST_BLST_SCTP_IMASK = 412,     /* DST_BLST_SCTP_IMASK  */
    IP_FREE_BIND = 413,            /* IP_FREE_BIND  */
    PORT = 414,                    /* PORT  */
    STAT = 415,                    /* STAT  */
    STATS_NAMESEP = 416,           /* STATS_NAMESEP  */
    CHILDREN = 417,                /* CHILDREN  */
    SOCKET = 418,                  /* SOCKET  */
    BIND = 419,                    /* BIND  */
    WORKERS = 420,                 /* WORKERS  */
    SOCKET_WORKERS = 421,          /* SOCKET_WORKERS  */
    ASYNC_WORKERS = 422,           /* ASYNC_WORKERS  */
    ASYNC_USLEEP = 423,            /* ASYNC_USLEEP  */
    ASYNC_NONBLOCK = 424,          /* ASYNC_NONBLOCK  */
    ASYNC_WORKERS_GROUP = 425,     /* ASYNC_WORKERS_GROUP  */
    CHECK_VIA = 426,               /* CHECK_VIA  */
    PHONE2TEL = 427,               /* PHONE2TEL  */
    MEMLOG = 428,                  /* MEMLOG  */
    MEMDBG = 429,                  /* MEMDBG  */
    MEMSUM = 430,                  /* MEMSUM  */
    MEMSAFETY = 431,               /* MEMSAFETY  */
    MEMJOIN = 432,                 /* MEMJOIN  */
    MEMSTATUSMODE = 433,           /* MEMSTATUSMODE  */
    SIP_PARSER_LOG_ONELINE = 434,  /* SIP_PARSER_LOG_ONELINE  */
    SIP_PARSER_LOG = 435,          /* SIP_PARSER_LOG  */
    SIP_PARSER_MODE = 436,         /* SIP_PARSER_MODE  */
    CORELOG = 437,                 /* CORELOG  */
    SIP_WARNING = 438,             /* SIP_WARNING  */
    SERVER_SIGNATURE = 439,        /* SERVER_SIGNATURE  */
    SERVER_HEADER = 440,           /* SERVER_HEADER  */
    USER_AGENT_HEADER = 441,       /* USER_AGENT_HEADER  */
    REPLY_TO_VIA = 442,            /* REPLY_TO_VIA  */
    LOADMODULE = 443,              /* LOADMODULE  */
    LOADMODULEX = 444,             /* LOADMODULEX  */
    LOADPATH = 445,                /* LOADPATH  */
    MODPARAM = 446,                /* MODPARAM  */
    MODPARAMX = 447,               /* MODPARAMX  */
    CFGENGINE = 448,               /* CFGENGINE  */
    MAXBUFFER = 449,               /* MAXBUFFER  */
    MAXSNDBUFFER = 450,            /* MAXSNDBUFFER  */
    SQL_BUFFER_SIZE = 451,         /* SQL_BUFFER_SIZE  */
    MSG_RECV_MAX_SIZE = 452,       /* MSG_RECV_MAX_SIZE  */
    TCP_MSG_READ_TIMEOUT = 453,    /* TCP_MSG_READ_TIMEOUT  */
    TCP_MSG_DATA_TIMEOUT = 454,    /* TCP_MSG_DATA_TIMEOUT  */
    TCP_ACCEPT_IPLIMIT = 455,      /* TCP_ACCEPT_IPLIMIT  */
    TCP_CHECK_TIMER = 456,         /* TCP_CHECK_TIMER  */
    USER = 457,                    /* USER  */
    GROUP = 458,                   /* GROUP  */
    CHROOT = 459,                  /* CHROOT  */
    WDIR = 460,                    /* WDIR  */
    RUNDIR = 461,                  /* RUNDIR  */
    MHOMED = 462,                  /* MHOMED  */
    DISABLE_TCP = 463,             /* DISABLE_TCP  */
    TCP_ACCEPT_ALIASES = 464,      /* TCP_ACCEPT_ALIASES  */
    TCP_ACCEPT_UNIQUE = 465,       /* TCP_ACCEPT_UNIQUE  */
    TCP_CONNECTION_MATCH = 466,    /* TCP_CONNECTION_MATCH  */
    TCP_CHILDREN = 467,            /* TCP_CHILDREN  */
    TCP_CONNECT_TIMEOUT = 468,     /* TCP_CONNECT_TIMEOUT  */
    TCP_SEND_TIMEOUT = 469,        /* TCP_SEND_TIMEOUT  */
    TCP_CON_LIFETIME = 470,        /* TCP_CON_LIFETIME  */
    TCP_POLL_METHOD = 471,         /* TCP_POLL_METHOD  */
    TCP_MAX_CONNECTIONS = 472,     /* TCP_MAX_CONNECTIONS  */
    TLS_MAX_CONNECTIONS = 473,     /* TLS_MAX_CONNECTIONS  */
    TCP_NO_CONNECT = 474,          /* TCP_NO_CONNECT  */
    TCP_SOURCE_IPV4 = 475,         /* TCP_SOURCE_IPV4  */
    TCP_SOURCE_IPV6 = 476,         /* TCP_SOURCE_IPV6  */
    TCP_OPT_FD_CACHE = 477,        /* TCP_OPT_FD_CACHE  */
    TCP_OPT_BUF_WRITE = 478,       /* TCP_OPT_BUF_WRITE  */
    TCP_OPT_CONN_WQ_MAX = 479,     /* TCP_OPT_CONN_WQ_MAX  */
    TCP_OPT_WQ_MAX = 480,          /* TCP_OPT_WQ_MAX  */
    TCP_OPT_RD_BUF = 481,          /* TCP_OPT_RD_BUF  */
    TCP_OPT_WQ_BLK = 482,          /* TCP_OPT_WQ_BLK  */
    TCP_OPT_DEFER_ACCEPT = 483,    /* TCP_OPT_DEFER_ACCEPT  */
    TCP_OPT_DELAYED_ACK = 484,     /* TCP_OPT_DELAYED_ACK  */
    TCP_OPT_SYNCNT = 485,          /* TCP_OPT_SYNCNT  */
    TCP_OPT_LINGER2 = 486,         /* TCP_OPT_LINGER2  */
    TCP_OPT_KEEPALIVE = 487,       /* TCP_OPT_KEEPALIVE  */
    TCP_OPT_KEEPIDLE = 488,        /* TCP_OPT_KEEPIDLE  */
    TCP_OPT_KEEPINTVL = 489,       /* TCP_OPT_KEEPINTVL  */
    TCP_OPT_KEEPCNT = 490,         /* TCP_OPT_KEEPCNT  */
    TCP_OPT_CRLF_PING = 491,       /* TCP_OPT_CRLF_PING  */
    TCP_OPT_ACCEPT_NO_CL = 492,    /* TCP_OPT_ACCEPT_NO_CL  */
    TCP_OPT_ACCEPT_HEP3 = 493,     /* TCP_OPT_ACCEPT_HEP3  */
    TCP_OPT_ACCEPT_HAPROXY = 494,  /* TCP_OPT_ACCEPT_HAPROXY  */
    TCP_OPT_CLOSE_RST = 495,       /* TCP_OPT_CLOSE_RST  */
    TCP_CLONE_RCVBUF = 496,        /* TCP_CLONE_RCVBUF  */
    TCP_REUSE_PORT = 497,          /* TCP_REUSE_PORT  */
    TCP_WAIT_DATA = 498,           /* TCP_WAIT_DATA  */
    TCP_SCRIPT_MODE = 499,         /* TCP_SCRIPT_MODE  */
    DISABLE_TLS = 500,             /* DISABLE_TLS  */
    ENABLE_TLS = 501,              /* ENABLE_TLS  */
    TLSLOG = 502,                  /* TLSLOG  */
    TLS_PORT_NO = 503,             /* TLS_PORT_NO  */
    TLS_METHOD = 504,              /* TLS_METHOD  */
    TLS_HANDSHAKE_TIMEOUT = 505,   /* TLS_HANDSHAKE_TIMEOUT  */
    TLS_SEND_TIMEOUT = 506,        /* TLS_SEND_TIMEOUT  */
    SSLv23 = 507,                  /* SSLv23  */
    SSLv2 = 508,                   /* SSLv2  */
    SSLv3 = 509,                   /* SSLv3  */
    TLSv1 = 510,                   /* TLSv1  */
    TLS_VERIFY = 511,              /* TLS_VERIFY  */
    TLS_REQUIRE_CERTIFICATE = 512, /* TLS_REQUIRE_CERTIFICATE  */
    TLS_CERTIFICATE = 513,         /* TLS_CERTIFICATE  */
    TLS_PRIVATE_KEY = 514,         /* TLS_PRIVATE_KEY  */
    TLS_CA_LIST = 515,             /* TLS_CA_LIST  */
    DISABLE_SCTP = 516,            /* DISABLE_SCTP  */
    ENABLE_SCTP = 517,             /* ENABLE_SCTP  */
    SCTP_CHILDREN = 518,           /* SCTP_CHILDREN  */
    ADVERTISED_ADDRESS = 519,      /* ADVERTISED_ADDRESS  */
    ADVERTISED_PORT = 520,         /* ADVERTISED_PORT  */
    DISABLE_CORE = 521,            /* DISABLE_CORE  */
    OPEN_FD_LIMIT = 522,           /* OPEN_FD_LIMIT  */
    SHM_MEM_SZ = 523,              /* SHM_MEM_SZ  */
    SHM_FORCE_ALLOC = 524,         /* SHM_FORCE_ALLOC  */
    MLOCK_PAGES = 525,             /* MLOCK_PAGES  */
    REAL_TIME = 526,               /* REAL_TIME  */
    RT_PRIO = 527,                 /* RT_PRIO  */
    RT_POLICY = 528,               /* RT_POLICY  */
    RT_TIMER1_PRIO = 529,          /* RT_TIMER1_PRIO  */
    RT_TIMER1_POLICY = 530,        /* RT_TIMER1_POLICY  */
    RT_TIMER2_PRIO = 531,          /* RT_TIMER2_PRIO  */
    RT_TIMER2_POLICY = 532,        /* RT_TIMER2_POLICY  */
    MCAST_LOOPBACK = 533,          /* MCAST_LOOPBACK  */
    MCAST_TTL = 534,               /* MCAST_TTL  */
    MCAST = 535,                   /* MCAST  */
    TOS = 536,                     /* TOS  */
    PMTU_DISCOVERY = 537,          /* PMTU_DISCOVERY  */
    KILL_TIMEOUT = 538,            /* KILL_TIMEOUT  */
    MAX_WLOOPS = 539,              /* MAX_WLOOPS  */
    PVBUFSIZE = 540,               /* PVBUFSIZE  */
    PVBUFSLOTS = 541,              /* PVBUFSLOTS  */
    PVCACHELIMIT = 542,            /* PVCACHELIMIT  */
    PVCACHEACTION = 543,           /* PVCACHEACTION  */
    HTTP_REPLY_PARSE = 544,        /* HTTP_REPLY_PARSE  */
    VERSION_TABLE_CFG = 545,       /* VERSION_TABLE_CFG  */
    VERBOSE_STARTUP = 546,         /* VERBOSE_STARTUP  */
    ROUTE_LOCKS_SIZE = 547,        /* ROUTE_LOCKS_SIZE  */
    WAIT_WORKER1_MODE = 548,       /* WAIT_WORKER1_MODE  */
    WAIT_WORKER1_TIME = 549,       /* WAIT_WORKER1_TIME  */
    WAIT_WORKER1_USLEEP = 550,     /* WAIT_WORKER1_USLEEP  */
    CFG_DESCRIPTION = 551,         /* CFG_DESCRIPTION  */
    SERVER_ID = 552,               /* SERVER_ID  */
    KEMI = 553,                    /* KEMI  */
    REQUEST_ROUTE_CALLBACK = 554,  /* REQUEST_ROUTE_CALLBACK  */
    ONSEND_ROUTE_CALLBACK = 555,   /* ONSEND_ROUTE_CALLBACK  */
    REPLY_ROUTE_CALLBACK = 556,    /* REPLY_ROUTE_CALLBACK  */
    EVENT_ROUTE_CALLBACK = 557,    /* EVENT_ROUTE_CALLBACK  */
    RECEIVED_ROUTE_CALLBACK = 558, /* RECEIVED_ROUTE_CALLBACK  */
    RECEIVED_ROUTE_MODE = 559,     /* RECEIVED_ROUTE_MODE  */
    PRE_ROUTING_CALLBACK = 560,    /* PRE_ROUTING_CALLBACK  */
    MAX_RECURSIVE_LEVEL = 561,     /* MAX_RECURSIVE_LEVEL  */
    MAX_BRANCHES_PARAM = 562,      /* MAX_BRANCHES_PARAM  */
    LATENCY_CFG_LOG = 563,         /* LATENCY_CFG_LOG  */
    LATENCY_LOG = 564,             /* LATENCY_LOG  */
    LATENCY_LIMIT_DB = 565,        /* LATENCY_LIMIT_DB  */
    LATENCY_LIMIT_ACTION = 566,    /* LATENCY_LIMIT_ACTION  */
    LATENCY_LIMIT_CFG = 567,       /* LATENCY_LIMIT_CFG  */
    RPC_EXEC_DELTA_CFG = 568,      /* RPC_EXEC_DELTA_CFG  */
    MSG_TIME = 569,                /* MSG_TIME  */
    ONSEND_RT_REPLY = 570,         /* ONSEND_RT_REPLY  */
    URI_HOST_EXTRA_CHARS = 571,    /* URI_HOST_EXTRA_CHARS  */
    HDR_NAME_EXTRA_CHARS = 572,    /* HDR_NAME_EXTRA_CHARS  */
    FLAGS_DECL = 573,              /* FLAGS_DECL  */
    AVPFLAGS_DECL = 574,           /* AVPFLAGS_DECL  */
    ATTR_MARK = 575,               /* ATTR_MARK  */
    SELECT_MARK = 576,             /* SELECT_MARK  */
    ATTR_FROM = 577,               /* ATTR_FROM  */
    ATTR_TO = 578,                 /* ATTR_TO  */
    ATTR_FROMURI = 579,            /* ATTR_FROMURI  */
    ATTR_TOURI = 580,              /* ATTR_TOURI  */
    ATTR_FROMUSER = 581,           /* ATTR_FROMUSER  */
    ATTR_TOUSER = 582,             /* ATTR_TOUSER  */
    ATTR_FROMDOMAIN = 583,         /* ATTR_FROMDOMAIN  */
    ATTR_TODOMAIN = 584,           /* ATTR_TODOMAIN  */
    ATTR_GLOBAL = 585,             /* ATTR_GLOBAL  */
    ADDEQ = 586,                   /* ADDEQ  */
    SUBST = 587,                   /* SUBST  */
    SUBSTDEF = 588,                /* SUBSTDEF  */
    SUBSTDEFS = 589,               /* SUBSTDEFS  */
    EQUAL = 590,                   /* EQUAL  */
    LOG_OR = 591,                  /* LOG_OR  */
    LOG_AND = 592,                 /* LOG_AND  */
    BIN_OR = 593,                  /* BIN_OR  */
    BIN_AND = 594,                 /* BIN_AND  */
    BIN_XOR = 595,                 /* BIN_XOR  */
    BIN_LSHIFT = 596,              /* BIN_LSHIFT  */
    BIN_RSHIFT = 597,              /* BIN_RSHIFT  */
    EQUAL_T = 598,                 /* EQUAL_T  */
    DIFF = 599,                    /* DIFF  */
    MATCH = 600,                   /* MATCH  */
    INTEQ = 601,                   /* INTEQ  */
    INTDIFF = 602,                 /* INTDIFF  */
    STREQ = 603,                   /* STREQ  */
    STRDIFF = 604,                 /* STRDIFF  */
    GT = 605,                      /* GT  */
    LT = 606,                      /* LT  */
    GTE = 607,                     /* GTE  */
    LTE = 608,                     /* LTE  */
    PLUS = 609,                    /* PLUS  */
    MINUS = 610,                   /* MINUS  */
    STAR = 611,                    /* STAR  */
    SLASH = 612,                   /* SLASH  */
    MODULO = 613,                  /* MODULO  */
    NOT = 614,                     /* NOT  */
    UNARY = 615,                   /* UNARY  */
    BIN_NOT = 616,                 /* BIN_NOT  */
    DEFINED = 617,                 /* DEFINED  */
    INTCAST = 618,                 /* INTCAST  */
    STRCAST = 619,                 /* STRCAST  */
    DOT = 620,                     /* DOT  */
    STRLEN = 621,                  /* STRLEN  */
    STREMPTY = 622,                /* STREMPTY  */
    SELVAL = 623,                  /* SELVAL  */
    NUMBER = 624,                  /* NUMBER  */
    ID = 625,                      /* ID  */
    NUM_ID = 626,                  /* NUM_ID  */
    STRING = 627,                  /* STRING  */
    IPV6ADDR = 628,                /* IPV6ADDR  */
    PVAR = 629,                    /* PVAR  */
    AVP_OR_PVAR = 630,             /* AVP_OR_PVAR  */
    EVENT_RT_NAME = 631,           /* EVENT_RT_NAME  */
    COMMA = 632,                   /* COMMA  */
    SEMICOLON = 633,               /* SEMICOLON  */
    RPAREN = 634,                  /* RPAREN  */
    LPAREN = 635,                  /* LPAREN  */
    LBRACE = 636,                  /* LBRACE  */
    RBRACE = 637,                  /* RBRACE  */
    LBRACK = 638,                  /* LBRACK  */
    RBRACK = 639,                  /* RBRACK  */
    CR = 640,                      /* CR  */
    COLON = 641                    /* COLON  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 199 "core/cfg.y"

	long intval;
	unsigned long uval;
	char* strval;
	struct expr* expr;
	struct action* action;
	struct case_stms* case_stms;
	struct net* ipnet;
	struct ip_addr* ipaddr;
	struct socket_id* sockid;
	struct name_lst* name_l;
	struct avp_spec* attr;
	struct _pv_spec* pvar;
	struct lvalue* lval;
	struct rvalue* rval;
	struct rval_expr* rv_expr;
	select_t* select;

#line 469 "core/cfg.tab.h"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_CORE_CFG_TAB_H_INCLUDED  */
